Subject: Re: bug#51275: 28.0.60; org-contrib marked as incompatibile
From: Philip Kaludercic <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: Bastien <[email-masked]>, [email-masked]
Date: Mon, 12 Sep 2022 13:12:32 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> M-x list-packages marks org-contrib from NonGNU ELPA as incompatible,
>> because org-9.4.6 is not available (the built-in version is org-9.4.4),
>> despite org-9.5 being available in ELPA.
>>
>> This issue only appears with my local Emacs 28.0.60 build, and not with
>> the Emacs 27.1 otherwise installed on my system (after adding NonGNU
>> ELPA to package-archives).
>>
>> I can reliably reproduce the issue in emacs -Q, by directly calling
>> list-packages after Emacs has loaded, and jumping to the bottom of the
>> *Packages* buffer to find a list of incompatible packages.
>
> I tried this on the trunk, and I get:
>
>   org-contrib                    0.4            available    nongnu   Unmaintained add-ons for Org-mode
>
> So I don't seem to be able to reproduce the issue.  Are you still seeing
> this problem?

No, the issue appears to have resolved itself, though I cannot say what
the cause was.  I'm guessing it was something wrong on my end, so I'll
close the report.